Organization API: Organizations & Members: Dns
The 8 Organization API operations for dns.
Part of Organizations & Members.
POST /api/v1/orgs/{org_slug}/dns/zones/{zone_id}/lb-pools/{pool_id}/members
| Name |
In |
Type |
Required |
zone_id |
path |
integer |
yes |
pool_id |
path |
integer |
yes |
org_slug |
path |
string |
yes |
application/json (required)
| Field |
Type |
Required |
address |
string |
yes |
address_type |
string |
no |
weight |
integer |
no |
priority |
integer |
no |
enabled |
boolean |
no |
health_mode |
string |
no |
health_port |
integer or null |
no |
health_path |
string |
no |
health_interval_s |
integer |
no |
health_timeout_s |
integer |
no |
| Status |
Meaning |
201 |
Success. |
422 |
The request is not valid. detail lists each problem. |
Fields of a 201 response:
| Field |
Type |
id |
integer |
pool_id |
integer |
address |
string |
address_type |
string |
weight |
integer |
priority |
integer |
enabled |
boolean |
health_mode |
string |
health_port |
integer or null |
health_path |
string |
health_interval_s |
integer |
health_timeout_s |
integer |
health_status |
string |
last_check_at |
string (date-time) or null |
last_error |
string or null |
created_at |
string (date-time) |
updated_at |
string (date-time) |
PATCH /api/v1/orgs/{org_slug}/dns/zones/{zone_id}/lb-pools/{pool_id}/members/{member_id}
| Name |
In |
Type |
Required |
zone_id |
path |
integer |
yes |
pool_id |
path |
integer |
yes |
member_id |
path |
integer |
yes |
org_slug |
path |
string |
yes |
application/json (required)
| Field |
Type |
Required |
address |
string or null |
no |
weight |
integer or null |
no |
priority |
integer or null |
no |
enabled |
boolean or null |
no |
health_mode |
string or null |
no |
health_port |
integer or null |
no |
health_path |
string or null |
no |
health_interval_s |
integer or null |
no |
health_timeout_s |
integer or null |
no |
| Status |
Meaning |
200 |
Success. |
422 |
The request is not valid. detail lists each problem. |
Fields of a 200 response:
| Field |
Type |
id |
integer |
pool_id |
integer |
address |
string |
address_type |
string |
weight |
integer |
priority |
integer |
enabled |
boolean |
health_mode |
string |
health_port |
integer or null |
health_path |
string |
health_interval_s |
integer |
health_timeout_s |
integer |
health_status |
string |
last_check_at |
string (date-time) or null |
last_error |
string or null |
created_at |
string (date-time) |
updated_at |
string (date-time) |
DELETE /api/v1/orgs/{org_slug}/dns/zones/{zone_id}/lb-pools/{pool_id}/members/{member_id}
| Name |
In |
Type |
Required |
zone_id |
path |
integer |
yes |
pool_id |
path |
integer |
yes |
member_id |
path |
integer |
yes |
org_slug |
path |
string |
yes |
| Status |
Meaning |
204 |
Success. |
422 |
The request is not valid. detail lists each problem. |
POST /api/v1/orgs/{org_slug}/dns/zones/{zone_id}/lb-pools/{pool_id}/members/{member_id}/health-check
| Name |
In |
Type |
Required |
zone_id |
path |
integer |
yes |
pool_id |
path |
integer |
yes |
member_id |
path |
integer |
yes |
org_slug |
path |
string |
yes |
| Status |
Meaning |
200 |
Success. |
422 |
The request is not valid. detail lists each problem. |
Fields of a 200 response:
| Field |
Type |
id |
integer |
pool_id |
integer |
address |
string |
address_type |
string |
weight |
integer |
priority |
integer |
enabled |
boolean |
health_mode |
string |
health_port |
integer or null |
health_path |
string |
health_interval_s |
integer |
health_timeout_s |
integer |
health_status |
string |
last_check_at |
string (date-time) or null |
last_error |
string or null |
created_at |
string (date-time) |
updated_at |
string (date-time) |
POST /api/v1/orgs/{org_slug}/dns/zones/{zone_id}/pools/{pool_id}/members
| Name |
In |
Type |
Required |
zone_id |
path |
integer |
yes |
pool_id |
path |
integer |
yes |
org_slug |
path |
string |
yes |
application/json (required)
| Field |
Type |
Required |
address |
string |
yes |
address_type |
string |
no |
weight |
integer |
no |
priority |
integer |
no |
enabled |
boolean |
no |
health_mode |
string |
no |
health_port |
integer or null |
no |
health_path |
string |
no |
health_interval_s |
integer |
no |
health_timeout_s |
integer |
no |
| Status |
Meaning |
201 |
Success. |
422 |
The request is not valid. detail lists each problem. |
Fields of a 201 response:
| Field |
Type |
id |
integer |
pool_id |
integer |
address |
string |
address_type |
string |
weight |
integer |
priority |
integer |
enabled |
boolean |
health_mode |
string |
health_port |
integer or null |
health_path |
string |
health_interval_s |
integer |
health_timeout_s |
integer |
health_status |
string |
last_check_at |
string (date-time) or null |
last_error |
string or null |
created_at |
string (date-time) |
updated_at |
string (date-time) |
PATCH /api/v1/orgs/{org_slug}/dns/zones/{zone_id}/pools/{pool_id}/members/{member_id}
| Name |
In |
Type |
Required |
zone_id |
path |
integer |
yes |
pool_id |
path |
integer |
yes |
member_id |
path |
integer |
yes |
org_slug |
path |
string |
yes |
application/json (required)
| Field |
Type |
Required |
address |
string or null |
no |
weight |
integer or null |
no |
priority |
integer or null |
no |
enabled |
boolean or null |
no |
health_mode |
string or null |
no |
health_port |
integer or null |
no |
health_path |
string or null |
no |
health_interval_s |
integer or null |
no |
health_timeout_s |
integer or null |
no |
| Status |
Meaning |
200 |
Success. |
422 |
The request is not valid. detail lists each problem. |
Fields of a 200 response:
| Field |
Type |
id |
integer |
pool_id |
integer |
address |
string |
address_type |
string |
weight |
integer |
priority |
integer |
enabled |
boolean |
health_mode |
string |
health_port |
integer or null |
health_path |
string |
health_interval_s |
integer |
health_timeout_s |
integer |
health_status |
string |
last_check_at |
string (date-time) or null |
last_error |
string or null |
created_at |
string (date-time) |
updated_at |
string (date-time) |
DELETE /api/v1/orgs/{org_slug}/dns/zones/{zone_id}/pools/{pool_id}/members/{member_id}
| Name |
In |
Type |
Required |
zone_id |
path |
integer |
yes |
pool_id |
path |
integer |
yes |
member_id |
path |
integer |
yes |
org_slug |
path |
string |
yes |
| Status |
Meaning |
204 |
Success. |
422 |
The request is not valid. detail lists each problem. |
POST /api/v1/orgs/{org_slug}/dns/zones/{zone_id}/pools/{pool_id}/members/{member_id}/health-check
| Name |
In |
Type |
Required |
zone_id |
path |
integer |
yes |
pool_id |
path |
integer |
yes |
member_id |
path |
integer |
yes |
org_slug |
path |
string |
yes |
| Status |
Meaning |
200 |
Success. |
422 |
The request is not valid. detail lists each problem. |
Fields of a 200 response:
| Field |
Type |
id |
integer |
pool_id |
integer |
address |
string |
address_type |
string |
weight |
integer |
priority |
integer |
enabled |
boolean |
health_mode |
string |
health_port |
integer or null |
health_path |
string |
health_interval_s |
integer |
health_timeout_s |
integer |
health_status |
string |
last_check_at |
string (date-time) or null |
last_error |
string or null |
created_at |
string (date-time) |
updated_at |
string (date-time) |